    @extends('app')

    @section('content')
    <!doctype html>
    <html lang="en">
        <body>
            <style>
                td.numeric {
                    text-align: right;
                }
            </style>
            <main>
                <div class="site-section">
                    <div class="row">
                        
                        @extends('host.layout.sidebar')
                        <!-- <form> -->
                            <div class="col-md-10">
                                <div class="card card-info">
                                    <div class="card-header">
                                        <h3 class="card-title">Report</h3>
                                    </div>
                                    <!-- /.card-header -->
                                    <!-- form start -->
                                    <div class="card-body">
                                        <table id="example1" class="table table-bordered table-striped">
                                            @foreach ($reportDetails as $zon)
                                                <tr>
                                                    <td>
                                                        <label>Company Name</label>
                                                        <?php echo "<br />".$zon->companyname; ?>
                                                    </td>
                                                    <td>
                                                        <label>Location</label>
                                                        <?php echo "<br />".$zon->location; ?>
                                                    </td>
                                                    <td>
                                                        <label>Game Code</label>
                                                        <?php echo "<br />".$zon->gameCode; ?>
                                                    </td>
                                                    <td>
                                                        <label>Game Date</label>
                                                        <?php echo "<br />".date('d M, Y', strtotime($zon->gameDate)); ?>
                                                    </td>
                                                </tr>
                                                @break
                                            @endforeach
                                        </table>
                                        <br />
                                        <h3>Bids</h3>
                                        <table id="bidstable" class="table table-bordered table-striped dataTable">
                                            <thead>    
                                                <tr>
                                                    <th>Name</th>
                                                    <th>Bids for Auction 1</th>
                                                    <th>Bids for Auction 2</th>
                                                    <th>Bids for Auction 3</th>
                                                    <th>Bids for Auction 4</th>
                                                    <th>Total Spent</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($reportDetails as $zon)
                                                <tr>
                                                    <td>
                                                        {{$zon->name}}
                                                    </td>
                                                    <td class="numeric">
                                                        {{round($zon->bid1)}}
                                                    </td>
                                                    <td class="numeric">
                                                        {{round($zon->bid2)}}
                                                    </td>
                                                    <td class="numeric">
                                                        {{round($zon->bid3)}}
                                                    </td>
                                                    <td class="numeric">
                                                        {{round($zon->bid4)}}
                                                    </td>
                                                    <td class="numeric">
                                                        {{round($zon->bid1+$zon->bid2+$zon->bid3+$zon->bid4)}}
                                                    </td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                        

                                        <form method="POST" action="{{ route('host.addSpecialBid', ['id' => $id]) }}">
                                            @csrf
                                            <button type="submit" class="btn btn-primary">Add Special Bid</button>
                                        </form>
                                        

                                        
                                        <br />
                                        <h3>Ranks</h3>
                                        <table id="rankstable" class="table table-bordered table-striped dataTable">
                                            <thead>
                                                <tr>
                                                    <th>Name</th>
                                                    <th>Rank for Auction 1</th>
                                                    <th>Rank for Auction 2</th>
                                                    <th>Rank for Auction 3</th>
                                                    <th>Rank for Auction 4</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($reportDetails as $zon)
                                            <tr>
                                                <td>{{ $zon->name }}</td>
                                                <td class="numeric" style="background-color: {{ $zon->rank1 == '1' ? 'gold' : 'white' }}">{{ $zon->rank1 }}</td>
                                                <td class="numeric" style="background-color: {{ $zon->rank2 == '1' ? 'gold' : ($zon->rank2 == '2' ? 'silver' :  'white') }}">{{ $zon->rank2 }}</td>
                                                <td class="numeric" style="background-color: {{ $zon->rank3 == '1' ? 'gold' : ($zon->rank3 == '2' ? 'silver' : ($zon->rank3 == '3' ? 'b45f06' : 'white')) }}">{{ $zon->rank3 }}</td>
                                                <td class="numeric" style="background-color: {{ $zon->rank4 == '1' ? 'gold' : ($zon->rank4 == '2' ? 'silver' : ($zon->rank4 == '3' ? 'b45f06' : ($zon->rank4 == '4' ? 'pink' : 'white'))) }}">{{ $zon->rank4 }}</td>
                                            </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                        

                                        
                                        <br />
                                        <h3>Scores</h3>
                                        <table id="scorestable" class="table table-bordered table-striped dataTable">
                                            <thead>
                                            <tr>
                                            <th>Name</th>
                                            <th>Scores for Auction 1</th>
                                            <th>Scores for Auction 2</th>
                                            <th>Scores for Auction 3</th>
                                            <th>Scores for Auction 4</th>
                                            <th>Final Score</th>
                                            <th>Final Rank</th>
                                            </tr>
                                            </thead>
                                            <tbody>

                                            @php
                                                $totalPrizes = [];
                                                foreach ($reportDetails as $key => $zon){
                                                        $totalPrize = $zon->prize_amount1 + $zon->prize_amount2 + $zon->prize_amount3 + $zon->prize_amount4;
                                                        $totalPrizes[$key] = $totalPrize;
                                                }
                                                arsort($totalPrizes);
                                                
                                                $rank = 2;
                                            @endphp

                                            @php
                                                function getRankColor($rank) {
                                                    switch ($rank) {
                                                        case 1:
                                                            return 'gold';
                                                        case 2:
                                                            return 'silver';
                                                        case 3:
                                                            return 'b45f06';
                                                        case 4:
                                                            return 'pink';
                                                        default:
                                                            return 'white';
                                                    }
                                                }
                                            @endphp


                                            @foreach ($reportDetails as $key => $zon)
                                                <tr>
                                                    <td>{{ $zon->name }}</td>
                                                    <td class="numeric">{{ round($zon->prize_amount1) }}</td>
                                                    <td class="numeric">{{ round($zon->prize_amount2) }}</td>
                                                    <td class="numeric">{{ round($zon->prize_amount3) }}</td>
                                                    <td class="numeric">{{ round($zon->prize_amount4) }}</td>
                                                    <td class="numeric">{{ round($zon->prize_amount1 + $zon->prize_amount2 + $zon->prize_amount3 + $zon->prize_amount4) }}</td>
                                                    <td class="numeric" style="background-color: 
                                                        @php
                                                            $playerRank = array_search($key, array_keys($totalPrizes));
                                                            $playerRank += $rank - 1;
                                                            echo getRankColor($playerRank);
                                                        @endphp">
                                                        {{ $playerRank }}
                                                    </td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>

                                        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
                                        <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">
                                        <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
                                        <script>
                                            $(document).ready(function() {
                                                $('#bidstable').DataTable();
                                                $('#rankstable').DataTable();
                                                $('#scorestable').DataTable();
                                            });
                                        </script>
                                        
                                    </div>
                                </div>  

                            </div> 
                        <!-- </form> -->
                    </div> 
                </div>  
            </main>
        </body>
    </html>
    @endsection
